<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">会员卡卡套</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="会员卡卡套">
            <div>
                <input type="radio" name="kindValue" value="1" title="250克珠光纸" checked="checked" lay-filter="kindValue">
                <input type="radio" name="kindValue" value="2" title="0.76pvc浮雕卡" lay-filter="kindValue">
            </div>
            <p>
                尺寸
            </p>
            <div class="layui-form-item">
                <div class="ui_size">
                    <select name="size" id="size">
                        <option value="19.5*9.5">19.5*9.5cm</option>
                        <option value="15.5*8">15.5*8cm</option>
                    </select>
                </div>
                <div class="ui_fd_size" style="display: none;">
                    <select name="size" id="size1">
                        <option value="8.55*5.4">8.55*5.4cm</option>
                    </select>
                </div>

            </div>
            <p>
                数量（张）
            </p>
            <div class="layui-form-item">
                <select name="count" id="count" class="select">
                    <option value="100">100</option>
                    <option value="200">200</option>
                    <option value="300">300</option>
                    <option value="500">500</option>
                    <option value="1000">1000</option>
                </select>
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <!-- <div class="layui-form-item" id="ui_des" style="display:none;">
                <p>
                    设计内容
                </p>
                <select name="desType" lay-filter="desType" id="desType" class="select" lay-search>
                    <option value=""></option>
                    <option value="1">改序号</option>
                    <option value="2">改名字或二维码</option>
                    <option value="3">改全部内容</option>
                </select>
            </div> -->
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <p>工艺</p>
            <div class="ui_normal">
                <input type="radio" name="craftTang" lay-filter="craftTang" value="烫金" title="烫金" checked/>
                <input type="radio" name="craftTang" lay-filter="craftTang" value="烫银" title="烫银"/>
                <input type="radio" name="craftTang" lay-filter="craftTang" value="烫黑金" title="烫黑金"/>
                <input type="radio" name="craftTang" lay-filter="craftTang" value="烫红金" title="烫红金"/>
                <input type="radio" name="craftTang" lay-filter="craftTang" value="烫蓝金" title="烫蓝金"/>
                <input type="radio" name="craftTang" lay-filter="craftTang" value="烫绿金" title="烫绿金"/>
            </div>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                <div class="layui-inline crop" style="display:none;width: 80px">
                    <input class="layui-input" type="text" name="cropNumber">
                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<script src="../../js/carousel.js" charset="utf-8"></script>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;
        //建造实例
        ins = carousel.render({});
        $(".ui_fd_size").find(":input").attr("disabled", true);
        form.on('radio(kindValue)', function (data) {
            if (data.value == 1) {
                $(".ui_size").show();
                $(".ui_size").find(":input").attr("disabled", false);
                $(".ui_fd_size").hide();
                $(".ui_fd_size").find(":input").attr("disabled", true);
                $(".ui_normal").show();
                $(".ui_normal").find(":input").attr("disabled", false);
            } else {
                $(".ui_fd_size").show();
                $(".ui_fd_size").find(":input").attr("disabled", false);
                $(".ui_size").hide();
                $(".ui_size").find(":input").attr("disabled", true);
                $(".ui_normal").hide();
                $(".ui_normal").find(":input").attr("disabled", true);
            }
            form.render();
        });

        function getProductImage() {
            $("#carousel").empty();
            $(".layui-carousel-ind").remove();
            let craftTang = $("input[name='craftTang']:checked").val();
            let data = {proTypeValue: '会员卡卡套'}
            data.craftValue = craftTang;
            let html = "";
            $.ajax({
                url: "${pageContext.request.contextPath}/getImgs",
                type: "GET",
                data,
                //dataType : "json",
                success: function (result) {
                    for (let i = 0; i < result.length; i++) {
                        // 只留一个remark
                        html += '<div><img style="width:' + result[0].imgWidth + 'px" src="' + result[i].imgUrl + '"></div>';
                    }
                    $("#carousel").append(html);
                    // 如果没有轮播图就隐藏
                    if (result.length == 0) {
                    } else {
                        document.getElementById("test1").style.display = "block";   //显示
                        ins.reload({
                            elem: '#test1',
                            width: result[0].imgWidth,  //设置容器宽度
                            height: result[0].imgHeight
                        });
                    }
                }
            });
        }

        form.on('radio(craftTang)', function (data) {
            getProductImage()
        });
        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            let kindValue = $('input[name="kindValue"]:checked').val();
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                if (!$(this).is(':disabled')) {
                    craft_list.push($(this).val());
                }
            });

            if (data.value == '抠图') {
                $(".crop").hide();
                $(".crop").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".crop").show();
                    $(".crop").find("input").prop("disabled", false)
                }
            }
            form.render();
        })
        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var kind = [$('input[name="kind"]:checked').val()];
            var tangjin = [$('input[name="craftTang"]:checked').val()];
            var number = $("#number").val();
            var size = $("#size").val();
            var kindValue = $("input[name='kindValue']:checked").val();
            var count = $("#count").val();
            if (!size) {
                layer.msg('请填写尺寸！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            var length = size.split("*")[0];
            var width = size.split("*")[1];

            var kindData = {
                1: "250克珠光纸",
                2: "0.76pvc浮雕卡"
            }
            if (kindValue == "2") {
                size = $("#size1").val();
            }
            if (kindValue == 2) {
                tangjin = "";
            }
            kindValue = kindData[kindValue];

            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;
                    let arr = []
                    $("input[name='craft']:checked").each(function () {
                        if (!$(this).is("disabled")) {
                            if ($(this).val() == "抠图") {
                                arr.push($(this).val() + $("input[name='cropNumber']").val());
                                return;
                            }
                        }
                    })
                    arr.push(tangjin)
                    var span_result = '会员卡卡套  - ' + kindValue + '-' + size + 'cm \n';
                    if (arr.length > 0) {
                        span_result += "工艺：" + arr.join(",") + '\n';
                    }
                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "张，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "张，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }
                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                    if (window.parent.system_isGai) {
                        span_result += "\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                    }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价',
                                templet: function (d) {
                                    return Math.ceil(d.price)
                                }
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价',
                                templet: function (d) {
                                    return Math.ceil(d.price)
                                }
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        })
        ;
    });
</script>
</html>